package net.minecraft.src.railcraft.common.api;

import net.minecraft.src.EntityPlayer;
import net.minecraft.src.IInventory;
import net.minecraft.src.ItemStack;

public class InventoryMapper implements IInventory {

	 private final IInventory inv;
	 private final int start;
	 private final int size;

	 public InventoryMapper(IInventory inv, int start, int size) {
		  this.inv = inv;
		  this.start = start;
		  this.size = size;
	 }

	 @Override
	 public int getSizeInventory() {
		  return size;
	 }

	 @Override
	 public ItemStack getStackInSlot(int i) {
		  return inv.getStackInSlot(start + i);
	 }

	 @Override
	 public ItemStack decrStackSize(int i, int j) {
		  return inv.decrStackSize(start + i, j);
	 }

	 @Override
	 public void setInventorySlotContents(int i, ItemStack itemstack) {
		  inv.setInventorySlotContents(start + i, itemstack);
	 }

	 @Override
	 public String getInvName() {
		  return inv.getInvName();
	 }

	 @Override
	 public int getInventoryStackLimit() {
		  return inv.getInventoryStackLimit();
	 }

	 @Override
	 public void onInventoryChanged() {
		  inv.onInventoryChanged();
	 }

	 @Override
	 public boolean isUseableByPlayer(EntityPlayer entityplayer) {
		  return inv.isUseableByPlayer(entityplayer);
	 }

	 @Override
	 public void openChest() {
		  inv.openChest();
	 }

	 @Override
	 public void closeChest() {
		  inv.closeChest();
	 }

    @Override
    public ItemStack getStackInSlotOnClosing(int i)
    {
        return inv.getStackInSlotOnClosing(start + i);
    }
}
